Arch API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch API and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎hrvatski • ‎italiano • ‎română • ‎Türkçe
(November 2018) Diese Information kann unvollständig und veraltet sein. Für die letzte API siehe die (engl.) autogenerierte API-Dokumentation.


Die Funktionen der API sind Teil des Arch-Arbeitsbereichs und können in Makros und in der Python-Konsole verwendet werden, sobald das Arch-Modul importiert wurde. Das Reinforcement-Addon hat seine eigene Reinforcement-API.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)